<?php
/*
Plugin Name: Block
Plugin URI: http://lander.irontec.com
Description: Block
Version: 1.0
Author: Lander
Author URI: http://lander.irontec.com
*/


//[descarga]
function download_func( $atts, $content = null ){
    $content = '<div class="entry-download"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'descarga', 'download_func' );

//[descargas]
function downloads_func( $atts, $content = null ){
    $content = '<div class="entry-downloads"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'descargas', 'downloads_func' );


//[img]
function img_func( $atts, $content = null ){
    $content = '<div class="entry-img"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'img', 'img_func' );

//[galeria]
function galeria_func( $atts, $content = null ){
    $content = '<div class="entry-galeria"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'galeria', 'galeria_func' );


//[datos]
function datos_func( $atts, $content = null ){
    $content = '<div class="entry-datos"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'datos', 'datos_func' );

//[contenido]
function contenido_func( $atts, $content = null ){
    $content = '<div class="entry-contenido"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'contenido', 'contenido_func' );

//[contacto]
function contacto_func( $atts, $content = null ){
    $content = '<div class="entry-contacto"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'contacto', 'contacto_func' );


//[titulos]
function titulo_func( $atts, $content = null ){
    $content = '<div class="entry-titulo"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'titulos', 'titulo_func' );

//[contenidos]
function contenidos_func( $atts, $content = null ){
    $content = '<div class="entry-contenidos"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'contenidos', 'contenidos_func' );


//[bloque]
function bloque_func( $atts, $content = null ){
    $content = '<div class="entry-bloque"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'bloque', 'bloque_func' );

//[default]
function default_func( $atts, $content = null ){
    $content = '<div class="entry-default"><p>' . $content . '</p></div>';
    $content = str_replace(array("<p></p>"), "", $content);
    return $content;
}
add_shortcode( 'default', 'default_func' );
